<div class="content-heading">Buttons</div>
<!-- START row-->
<div class="row">
    <div class="col-lg-6">
        <!-- START card-->
        <div class="card card-default">
            <div class="card-header">
                <h3 class="card-title">Button colors</h3>
            </div>
            <div class="card-body">
                <button class="mb-1 btn btn-secondary" type="button">Secondary</button>
                <button class="mb-1 btn btn-primary" type="button">Primary</button>
                <button class="mb-1 btn btn-success" type="button">Success</button>
                <button class="mb-1 btn btn-info" type="button">Info</button>
                <button class="mb-1 btn btn-warning" type="button">Warning</button>
                <button class="mb-1 btn btn-danger" type="button">Danger</button>
                <button class="mb-1 btn btn-inverse" type="button">Inverse</button>
                <button class="mb-1 btn btn-green" type="button">Green</button>
                <button class="mb-1 btn btn-purple" type="button">Purple</button>
                <button class="mb-1 btn btn-pink" type="button">Pink</button>
                <br/>
                <br/><a class="btn btn-link" href="#">Button Link</a>
                <button class="btn btn-secondary" type="button">
                    <strong>button tag</strong>
                </button>
                <a class="btn btn-secondary" href="#">
                    <strong>anchor tag</strong>
                </a>
            </div>
        </div>
        <!-- END card-->
    </div>
    <div class="col-lg-6">
        <!-- START card-->
        <div class="card card-default">
            <div class="card-header">
                <h3 class="card-title">Button Labeled</h3>
            </div>
            <div class="card-body">
                <!-- Success button with label-->
                <button class="btn btn-labeled btn-success mb-2" type="button">
                    <span class="btn-label"><i class="fa fa-check"></i>
               </span>Success</button>
                <!-- Danger button with label-->
                <button class="btn btn-labeled btn-danger mb-2" type="button">
                    <span class="btn-label"><i class="fa fa-times"></i>
               </span>Danger</button>
                <!-- Info button with label-->
                <button class="btn btn-labeled btn-info mb-2" type="button">
                    <span class="btn-label"><i class="fa fa-exclamation"></i>
               </span>Info</button>
                <!-- Warning button with label-->
                <button class="btn btn-labeled btn-warning mb-2" type="button">
                    <span class="btn-label"><i class="fa fa-warning"></i>
               </span>Warning</button>
                <br/>
                <!-- Standard button with label-->
                <button class="btn btn-labeled btn-secondary" type="button">
                    <span class="btn-label"><i class="fa fa-arrow-left"></i>
               </span>Left</button>
                <!-- Standard button with label on the right side-->
                <button class="btn btn-labeled btn-secondary" type="button">Right
                    <span class="btn-label btn-label-right"><i class="fa fa-arrow-right"></i>
               </span>
                </button>
            </div>
        </div>
        <!-- END card-->
    </div>
</div>
<!-- END row-->
<!-- START row-->
<div class="row">
    <div class="col-lg-6">
        <!-- START card-->
        <div class="card card-default">
            <div class="card-header">
                <h3 class="card-title">Button sizing</h3>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-xl-6">
                        <p>
                            <button class="btn btn-primary btn-lg" type="button">Large button</button>
                            <button class="btn btn-secondary btn-lg" type="button">Large button</button>
                        </p>
                        <p>
                            <button class="btn btn-primary" type="button">Primary button</button>
                            <button class="btn btn-secondary" type="button">Secondary button</button>
                        </p>
                    </div>
                    <div class="col-xl-6">
                        <p>
                            <button class="btn btn-primary btn-sm" type="button">Small button</button>
                            <button class="btn btn-secondary btn-sm" type="button">Small button</button>
                        </p>
                        <p>
                            <button class="btn btn-primary btn-xs" type="button">Extra small button</button>
                            <button class="btn btn-secondary btn-xs" type="button">Extra small button</button>
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <!-- END card-->
    </div>
    <div class="col-lg-6">
        <!-- START card-->
        <div class="card card-default">
            <div class="card-header">
                <h3 class="card-title">Button group</h3>
            </div>
            <div class="card-body">
                <p></p>
                <div class="btn-group">
                    <button class="btn btn-secondary" type="button">Left</button>
                    <button class="btn btn-secondary" type="button">Middle</button>
                    <button class="btn btn-secondary" type="button">Right</button>
                </div>
                <p></p>
                <p></p>
                <div class="btn-group">
                    <button class="btn btn-secondary" type="button">1</button>
                    <button class="btn btn-secondary" type="button">2</button>
                    <button class="btn btn-secondary" type="button">3</button>
                    <button class="btn btn-secondary" type="button">4</button>
                </div>
                <div class="btn-group">
                    <button class="btn btn-secondary" type="button">5</button>
                    <button class="btn btn-secondary" type="button">6</button>
                    <button class="btn btn-secondary" type="button">7</button>
                </div>
                <div class="btn-group">
                    <button class="btn btn-secondary" type="button">8</button>
                </div>
            </div>
        </div>
        <!-- END card-->
    </div>
</div>
<!-- END row-->
<!-- START card-->
<div class="card card-default">
    <div class="card-header">
        <h3 class="card-title">Outline Buttons</h3>
    </div>
    <div class="card-body">
        <button class="mb-1 btn btn-outline-secondary" type="button">Secondary</button>
        <button class="mb-1 btn btn-outline-primary" type="button">Primary</button>
        <button class="mb-1 btn btn-outline-success" type="button">Success</button>
        <button class="mb-1 btn btn-outline-info" type="button">Info</button>
        <button class="mb-1 btn btn-outline-warning" type="button">Warning</button>
        <button class="mb-1 btn btn-outline-danger" type="button">Danger</button>
        <button class="mb-1 btn btn-outline-inverse" type="button">Inverse</button>
        <button class="mb-1 btn btn-outline-green" type="button">Green</button>
        <button class="mb-1 btn btn-outline-purple" type="button">Purple</button>
        <button class="mb-1 btn btn-outline-pink" type="button">Pink</button>
        <br/>
        <br/>
      <button class="mb-1 btn-lg btn btn-outline-primary" type="button">Outline Large</button>
      <button class="mb-1 btn-sm btn btn-outline-primary" type="button">Outline Small</button>
      <button class="mb-1 btn-xs btn btn-outline-primary" type="button">Outline xSmall</button>
    </div>
</div>
<!-- END card-->
<!-- START row-->
<div class="row">
    <div class="col-lg-6">
        <!-- START card-->
        <div class="card card-default">
            <div class="card-header">
                <h3 class="card-title">Button Pills</h3>
            </div>
            <div class="card-body">
                <p>Pill left</p>
                <p>
                    <button class="btn btn-pill-left btn-secondary mb-1" type="button">Secondary</button>
                    <button class="btn btn-pill-left btn-primary mb-1" type="button">Primary</button>
                    <button class="btn btn-pill-left btn-success mb-1" type="button">Success</button>
                    <button class="btn btn-pill-left btn-info mb-1" type="button">Info</button>
                    <button class="btn btn-pill-left btn-warning mb-1" type="button">Warning</button>
                    <button class="btn btn-pill-left btn-danger mb-1" type="button">Danger</button>
                    <button class="btn btn-pill-left btn-inverse mb-1" type="button">Inverse</button>
                </p>
                <p>Pill right</p>
                <p>
                    <button class="btn btn-pill-right btn-secondary mb-1" type="button">Secondary</button>
                    <button class="btn btn-pill-right btn-primary mb-1" type="button">Primary</button>
                    <button class="btn btn-pill-right btn-success mb-1" type="button">Success</button>
                    <button class="btn btn-pill-right btn-info mb-1" type="button">Info</button>
                    <button class="btn btn-pill-right btn-warning mb-1" type="button">Warning</button>
                    <button class="btn btn-pill-right btn-danger mb-1" type="button">Danger</button>
                    <button class="btn btn-pill-right btn-inverse mb-1" type="button">Inverse</button>
                </p>
            </div>
        </div>
        <!-- END card-->
    </div>
    <div class="col-lg-6">
        <!-- START card-->
        <div class="card card-default">
            <div class="card-header">
                <h3 class="card-title">Button Oval</h3>
            </div>
            <div class="card-body">
                <button class="btn btn-oval btn-secondary mb-1" type="button">Secondary</button>
                <button class="btn btn-oval btn-primary mb-1" type="button">Primary</button>
                <button class="btn btn-oval btn-success mb-1" type="button">Success</button>
                <button class="btn btn-oval btn-info mb-1" type="button">Info</button>
                <button class="btn btn-oval btn-warning mb-1" type="button">Warning</button>
                <button class="btn btn-oval btn-danger mb-1" type="button">Danger</button>
                <button class="btn btn-oval btn-inverse mb-1" type="button">Inverse</button>
            </div>
        </div>
        <!-- END card-->
        <!-- START card-->
        <div class="card card-default">
            <div class="card-header">
                <h3 class="card-title">Button Square</h3>
            </div>
            <div class="card-body">
                <button class="btn btn-square btn-secondary mb-1" type="button">Secondary</button>
                <button class="btn btn-square btn-primary mb-1" type="button">Primary</button>
                <button class="btn btn-square btn-success mb-1" type="button">Success</button>
                <button class="btn btn-square btn-info mb-1" type="button">Info</button>
                <button class="btn btn-square btn-warning mb-1" type="button">Warning</button>
                <button class="btn btn-square btn-danger mb-1" type="button">Danger</button>
                <button class="btn btn-square btn-inverse mb-1" type="button">Inverse</button>
            </div>
        </div>
        <!-- END card-->
    </div>
</div>
<!-- END row-->
<!-- START row-->
<div class="row">
    <div class="col-lg-6">
        <!-- START card-->
        <div class="card card-default">
            <div class="card-header">
                <h3 class="card-title">Button dropdown</h3>
            </div>
            <div class="card-body">
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn dropdown-toggle btn-secondary" type="button" dropdownToggle>Secondary
                        <span class="caret"></span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn dropdown-toggle btn-primary" type="button" dropdownToggle>primary
                        <span class="caret"></span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn dropdown-toggle btn-success" type="button" dropdownToggle>success
                        <span class="caret"></span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn dropdown-toggle btn-info" type="button" dropdownToggle>info
                        <span class="caret"></span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn dropdown-toggle btn-warning" type="button" dropdownToggle>warning
                        <span class="caret"></span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn dropdown-toggle btn-danger" type="button" dropdownToggle>danger
                        <span class="caret"></span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn dropdown-toggle btn-inverse" type="button" dropdownToggle>inverse
                        <span class="caret"></span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
            </div>
        </div>
        <!-- END card-->
    </div>
    <div class="col-lg-6">
        <!-- START card-->
        <div class="card card-default">
            <div class="card-header">
                <h3 class="card-title ellipsis">Split button dropdown</h3>
            </div>
            <div class="card-body">
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn btn-secondary" type="button">Action</button>
                    <button class="btn dropdown-toggle dropdown-toggle-split btn-secondary" type="button" dropdownToggle>
                        <span class="caret"></span>
                        <span class="sr-only">Secondary</span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn btn-primary" type="button">Action</button>
                    <button class="btn dropdown-toggle dropdown-toggle-split btn-primary" type="button" dropdownToggle>
                        <span class="caret"></span>
                        <span class="sr-only">primary</span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn btn-success" type="button">Action</button>
                    <button class="btn dropdown-toggle dropdown-toggle-split btn-success" type="button" dropdownToggle>
                        <span class="caret"></span>
                        <span class="sr-only">success</span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn btn-info" type="button">Action</button>
                    <button class="btn dropdown-toggle dropdown-toggle-split btn-info" type="button" dropdownToggle>
                        <span class="caret"></span>
                        <span class="sr-only">info</span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn btn-warning" type="button">Action</button>
                    <button class="btn dropdown-toggle dropdown-toggle-split btn-warning" type="button" dropdownToggle>
                        <span class="caret"></span>
                        <span class="sr-only">warning</span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn btn-danger" type="button">Action</button>
                    <button class="btn dropdown-toggle dropdown-toggle-split btn-danger" type="button" dropdownToggle>
                        <span class="caret"></span>
                        <span class="sr-only">danger</span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
                <!-- START button group-->
                <div class="btn-group mb-1" dropdown>
                    <button class="btn btn-inverse" type="button">Action</button>
                    <button class="btn dropdown-toggle dropdown-toggle-split btn-inverse" type="button" dropdownToggle>
                        <span class="caret"></span>
                        <span class="sr-only">inverse</span>
                    </button>
                    <div *dropdownMenu class="dropdown-menu" role="menu">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="#">Separated link</a>
                    </div>
                </div>
                <!-- END button group-->
            </div>
        </div>
        <!-- END card-->
    </div>
</div>
<!-- END row-->
<!-- START card-->
<div class="card card-default">
    <div class="card-header">
        <h3 class="card-title">Button actions</h3>
    </div>
    <div class="card-body">
        <!-- START row-->
        <div class="row">
            <div class="col-xl-4 mb-3">
                <h4>Single toggle</h4><pre>{{singleModel}}</pre>
                <button class="btn btn-primary" type="button" [(ngModel)]="singleModel" btnCheckbox>Single Toggle</button>
            </div>
            <div class="col-xl-4 mb-3">
                <h4>Checkbox</h4>
                <pre>{{checkModel | json}}</pre>
                <div class="btn-group">
                    <label class="btn btn-primary" [(ngModel)]="checkModel.left" btnCheckbox>Left</label>
                    <label class="btn btn-primary" [(ngModel)]="checkModel.middle" btnCheckbox>Middle</label>
                    <label class="btn btn-primary" [(ngModel)]="checkModel.right" btnCheckbox>Right</label>
                </div>
            </div>
            <div class="col-xl-4">
                <h4>Radio &amp; Uncheckable Radio</h4><pre>{{radioModel || 'null'}}</pre>
                <div class="btn-group">
                    <label class="btn btn-primary" [(ngModel)]="radioModel" btnRadio="'Left'">Left</label>
                    <label class="btn btn-primary" [(ngModel)]="radioModel" btnRadio="'Middle'">Middle</label>
                    <label class="btn btn-primary" [(ngModel)]="radioModel" btnRadio="'Right'">Right</label>
                </div>
                <div class="btn-group">
                    <label class="btn btn-success" [(ngModel)]="radioModel" btnRadio="'Left'" uncheckable>Left</label>
                    <label class="btn btn-success" [(ngModel)]="radioModel" btnRadio="'Middle'" uncheckable>Middle</label>
                    <label class="btn btn-success" [(ngModel)]="radioModel" btnRadio="'Right'" uncheckable>Right</label>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- START card-->
<div class="card card-default">
    <div class="card-header">
        <h3 class="card-title">Pagination</h3>
    </div>
    <div class="card-body">
        <!-- START row-->
        <div class="row">
            <div class="col-xl-6">
                <div>
                    <h4>Default</h4>
                    <pagination [totalItems]="totalItems" [(ngModel)]="currentPage" (pageChanged)="pageChanged($event)"></pagination>
                    <pagination [directionLinks]="false" [totalItems]="totalItems" [(ngModel)]="currentPage" (numPages)="smallnumPages"></pagination>
                    <pre>The selected page no: {{currentPage}}</pre>
                    <button class="btn btn-info" (click)="setPage(3)">Set current page to: 3</button>
                </div>
            </div>
            <div class="col-xl-6">
                <h4>Pager</h4>
                <pager [totalItems]="totalItems" [(ngModel)]="currentPage" (pageChanged)="pageChanged($event)" pageBtnClass="btn" [itemsPerPage]="10">
                </pager>
                <hr/>
                <h4>Limit the maximum visible buttons</h4>
                <pagination class="pagination-sm" [totalItems]="bigTotalItems" [(ngModel)]="bigCurrentPage" [maxSize]="maxSize" [boundaryLinks]="true"></pagination>
                <pagination class="pagination-sm" [totalItems]="bigTotalItems" [(ngModel)]="bigCurrentPage" [maxSize]="maxSize" [boundaryLinks]="true" [rotate]="false" (numPages)="numPages"></pagination>
                <pre>Page: {{bigCurrentPage}} / {{numPages}}</pre>
            </div>
        </div>
        <!-- END row-->
    </div>
</div>
<!-- END card-->
